summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-07-06 04:33:55 +0100
committerLeah Rowe <leah@libreboot.org>2024-07-06 11:34:27 +0100
commit6d4fb200ac7301e84d8e57d7b29f9781b3dd311c (patch)
tree8bd89b920e09c1cefe5fcfc2e08568ad1b406456
parent87df6ae36957703e57eb9c5a12399289deb797fe (diff)
trees: rename load_target_config()
rename it to configure_project, because the function now also handles building (a little bit), not just mere loading of configuration files. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xscript/trees6
1 files changed, 3 insertions, 3 deletions
diff --git a/script/trees b/script/trees
index aa32cfa3..ab321869 100755
--- a/script/trees
+++ b/script/trees
@@ -60,7 +60,7 @@ main()
build_project()
{
- load_target_config "$cfgsdir" || return 0
+ configure_project "$cfgsdir" || return 0
[ -f "$listfile" ] || listfile="" # optional on single-tree
dest_dir="$elfdir"
@@ -124,7 +124,7 @@ handle_src_tree()
target_dir="$cfgsdir/$target"
[ -f "CHANGELOG" ] || fetch_project "$project"
- load_target_config "$target_dir" || return 1
+ configure_project "$target_dir" || return 1
x_ mkdir -p "$elfdir/$target"
chkvars tree
@@ -139,7 +139,7 @@ handle_src_tree()
[ -z "$mode" ] && check_cross_compiler; return 0
}
-load_target_config()
+configure_project()
{
eval `setvars "" xarch xlang bootstrapargs autoconfargs xtree \
tree_depend makeargs btype mkhelper build_depend`